/*!
 * @file proto_class.h
 * @brief Definition of CmdLinePrefsReader
*/

#ifndef _CMD_LINE_PREFS_READER_H
#define _CMD_LINE_PREFS_READER_H

#include "stdincl.h"
#include "debug.h"

#include "src/lib/parser/cmdline_parser/cmdline_parser.h"

enum
{
  ID_SET_INI = 1
};

//! A class for reading commandline arguments into Preferences
class CmdLinePrefsReader 
{

 public:
   CmdLinePrefsReader();
   virtual ~CmdLinePrefsReader();

    bool parse(int argc, char** argv);
    
  private:
    static bool callBack( ArgTableEntry entry, void* data, const std::string & arg, const std::vector<MultiType> & argArgs );

};

#endif /* _PROTO_CLASS_H */
